<template>
  <div class="inline-flex my-2 mr-6">
    <a
      :href="link"
      :target="hrefTarget"
      class="cta-button min-w-144 focus:outline-none dark:text-white text-md border-black-300 hover:border-black-800 dark:border-gray-400 dark-hover:border-gray-50 px-5 py-3 text-center transition-all border rounded-md"
    >
      <div class="flex flex-row items-center justify-around">
        <div>{{ text }}</div>
        <div v-if="isExternalLink" class="pl-4"><ArrowUpRight /></div>
      </div>
    </a>
  </div>
</template>

<script>
export default {
  props: {
    text: String,
    link: String,
  },
  computed: {
    isExternalLink: function () {
      return this.link.substring(0, 8) == 'https://'
    },
    hrefTarget: function () {
      return this.isExternalLink ? '_blank' : '_self'
    },
  },
}
</script>
